--TEST--
basic #50 - basic context
--DESCRIPTION--
basic context - block functions without context argument
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#awesome}}inner{{/awesome}}';
$context = array(
        'awesome' => function($options) { return $options->fn($options->scope); }/*function (options) { return options.fn(this); }*/,
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
inner