--TEST--
basic #74 - basic context
--DESCRIPTION--
basic context - this keyword in helpers
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#goodbyes}}{{foo this}}{{/goodbyes}}';
$context = array(
        'goodbyes' => array(
            'goodbye',
            'Goodbye',
            'GOODBYE',
        ),
    );
$helpers = new DefaultRegistry(array(
        'foo' => function($value) { return 'bar ' . $value; }/*function (value) {
        return 'bar ' + value;
    }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
bar goodbyebar Goodbyebar GOODBYE