--TEST--
blocks #25 - standalone sections
--DESCRIPTION--
standalone sections - block standalone else sections can be disabled
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#none}}
{{.}}
{{^}}
Fail
{{/none}}
';
$context = array(
        'none' => 'No people',
    );
$options = array(
        'ignoreStandalone' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--

No people

