--TEST--
helpers #34 - String literal parameters
--DESCRIPTION--
String literal parameters - using a quote in the middle of a parameter raises an error
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'Message: {{hello wo"rld"}}';
$context = NULL;
$helpers = new DefaultRegistry(array(
        'hello' => array(
            'php' => 'function() { return \'\'; }',
        ),
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECTF--
%AUncaught%A