--TEST--
strict #12 - strict mode
--DESCRIPTION--
strict mode - should allow undefined parameters when passed to helpers
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#unless foo}}success{{/unless}}';
$context = array();
$options = array(
        'strict' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
success