--TEST--
subexpressions #10 - subexpressions
--DESCRIPTION--
subexpressions - provides each nested helper invocation its own options hash
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{equal (equal true true) true}}';
$context = array();
$helpers = new DefaultRegistry(array(
        'equal' => function($x, $y, $options) {
        return $x === $y;
      }/*function (x, y, options) {
        return x === y;
      }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
true