--TEST--
basic #8 - basic context
--DESCRIPTION--
basic context - compiling with a string context
--SKIPIF--
<?php if( true ) die('skip PHP does not have string methods'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{.}}{{length}}';
$context = 'bye';
$helpers = new DefaultRegistry(array(
        'length' => function($options) { return strlen($options->scope); }/**/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
bye3