--TEST--
helpers #3 - helpers
--DESCRIPTION--
helpers - helper for raw block gets parameters
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{{{raw 1 2 3}}}} {{test}} {{{{/raw}}}}';
$context = array(
        'test' => 'hello',
    );
$helpers = new DefaultRegistry(array(
        'raw' => function($a, $b, $c, $options) {
        return $options->fn() . $a . $b . $c;
    }/*function (a, b, c, options) {
        return options.fn() + a + b + c;
    }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
 {{test}} 123